import static org.junit.jupiter.api.Assertions.*;

import org.junit.jupiter.api.Test;

class BuyTradeTest {

	@Test
	void buyTradeTest() {
		Customer c = new Customer("c1");
		BuyTrade buyTrade = new BuyTrade(1, c, 100, 200);
		assertEquals(buyTrade.getCustomer().getId(), c.getId());
		assertEquals(buyTrade.getPrice(), 200);
		assertEquals(buyTrade.getQty(), 100);
		assertEquals(buyTrade.getTime(), 1);
		assertEquals(buyTrade.getType(), "BUY");
	}

}
